libvorbisenc documentation | libvorbisenc - 20011218

# vorbis_encode_init_vbr

declared in "vorbis/libvorbisenc.h";

This is the primary function within libvorbisenc. This is used to properly set up an encoding environment using libvorbisenc.

Before this function is called, the vorbis_info struct should be initialized by using vorbis_info_init() from the libvorbis API. After encoding, vorbis_info_clear should be called.

The max_bitrate, nominal_bitrate, and min_bitrate settings are used to set constraints for the encoded file. This function uses these settings to select the appropriate encoding mode and set it up.

    extern int vorbis_encode_init_vbr(vorbis_info *vi,
    			      long channels,
    			      long rate,

    			      float base_quality /* from 0. (lo) to 1. (hi) */);

### Parameters

vi
  File pointer to an initialized vorbis_info struct.
channels
  The number of channels to be encoded.
rate
  The sampling rate of the source audio.
base_quality
  Desired quality level from 0.0 to 1.0 (lo to hi).

### Return Values

> - 0 for success
> - less than zero for failure:
> - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.

copyright © 2000 xiph.org | Ogg Vorbis team@vorbis.org
libvorbisenc documentation | libvorbisenc version 1.1.2.2 - 20001106